package com.huiju.welcome.config;


import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Data
@ConfigurationProperties(prefix = "ali")
public class AliProperties {
    public static String accessKeyId;
    public static String accessKeySecret;
    public static OSS oss = new AliProperties.OSS();
    public static Face face = new AliProperties.Face();

    public String getAccessKeyId() { return AliProperties.accessKeyId; }
    public String getAccessKeySecret() { return AliProperties.accessKeySecret; }
    public OSS getOss() { return AliProperties.oss; }
    public Face getFace() { return AliProperties.face; }

    // setters
    public void setAccessKeyId(String accessKeyId) {
        AliProperties.accessKeyId = accessKeyId;
    }
    public void setAccessKeySecret(String accessKeySecret) { AliProperties.accessKeySecret = accessKeySecret;}

    public static void setOss(OSS oss) {
        AliProperties.oss = oss;
    }
    public static void setFace(Face face) {
        AliProperties.face = face;
    }

    @Data
    public static class OSS {
        String endpoint;
        String bucketName;
        String bucketURL;
    }

    @Data
    public static class Face {
        String regionId;
        String domain;
        String version;
        String group;
    }
}
