package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.welcome.model.TaMessageRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 *
 * @author jobob
 * @since 2019-05-10
 */
@Mapper
public interface TaMessageRecordMapper extends BaseMapper<TaMessageRecord> {
    List<TaMessageRecord> getLastSameMessages(@Param("receiver") String receiver, @Param("link") String link, @Param("content") String content, @Param("dt") LocalDateTime dt);
}
