package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.welcome.model.TaSnapshotPerson;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Mapper
public interface TaSnapshotPersonMapper extends BaseMapper<TaSnapshotPerson> {
    IPage<TaSnapshotPerson> getSnapshotList(Page<TaSnapshotPerson> page, @Param("deviceId") String deviceId, @Param("startDate") String startDate, @Param("endDate") String endDate);
}
