package com.huiju.welcome.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaPerson;
import com.huiju.welcome.model.TaSnapshotPerson;
import com.huiju.welcome.model.TaVisitingLog;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
public interface ITaVisitingLogService extends IService<TaVisitingLog> {
    List<Map<String, String>> getVisitingDailyAmount(LocalDateTime startDate, LocalDateTime endDate);

    Long getRegularClientTodayAmount();

    IPage<TaVisitingLog> getVisitingList(Page<TaVisitingLog> page, String startDate, String endDate, Integer personId);

    ResponseBean getTimeline();

    TaVisitingLog newLogByDevice(TaSnapshotPerson taSnapshotPerson, TaPerson taPerson);
}
