package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaFirstpageContentMapper;
import com.huiju.welcome.model.TaContentLib;
import com.huiju.welcome.model.TaFirstpage;
import com.huiju.welcome.model.TaFirstpageContent;
import com.huiju.welcome.service.ITaFirstpageContentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Service
public class TaFirstpageContentServiceImpl extends ServiceImpl<TaFirstpageContentMapper, TaFirstpageContent> implements ITaFirstpageContentService {
    @Autowired
    private TaFirstpageContentMapper taFirstpageContentMapper;

    public List<TaContentLib> getContentLib(TaFirstpage taFirstpage) {
        return taFirstpageContentMapper.getFirstpageContent(taFirstpage.getFirstpageId());
    }
}
