package com.huiju.welcome.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;

@Data
public class CustomerExcel extends BaseRowModel {
    @ExcelProperty(value = "#" ,index = 0)
    Integer customerId;

    @ExcelProperty(value = "姓名" ,index = 1)
    String customerName;

    @ExcelProperty(value = "性别" ,index = 2)
    String sex;

    @ExcelProperty(value = "年龄" ,index = 3)
    String customerAge;

    @ExcelProperty(value = "手机号码" ,index = 4)
    String phone;

    @ExcelProperty(value = "身份证号" ,index = 5)
    String idcard;

    @ExcelProperty(value = "车牌号码" ,index = 6)
    String plateNumber;

    @ExcelProperty(value = "车辆品牌" ,index = 7)
    String carModel;

    @ExcelProperty(value = "置业顾问" ,index = 8)
    String consultant;

    @ExcelProperty(value = "客户来源" ,index = 9)
    String channel;

    @ExcelProperty(value = "来访目的" ,index = 10)
    String purpose;

    @ExcelProperty(value = "是否在银城购买过房子" ,index = 11)
    String haveHouse;

    @ExcelProperty(value = "老业务小区" ,index = 12)
    String oldCommunity;

    @ExcelProperty(value = "现居住区域" ,index = 13)
    String nowArea;

    @ExcelProperty(value = "现居住城市" ,index = 14)
    String nowCity;

    @ExcelProperty(value = "现居住小区" ,index = 15)
    String nowCommunity;

    @ExcelProperty(value = "家庭主收入人员工作区域" ,index = 16)
    String familyWork;

    @ExcelProperty(value = "城市名称" ,index = 17)
    String cityName;

    @ExcelProperty(value = "家庭主收入人员工作单位" ,index = 18)
    String familyCompany;

    @ExcelProperty(value = "家庭主收入人员工作行业" ,index = 19)
    String familyIndustry;

    @ExcelProperty(value = "家庭主收入人员职务" ,index = 20)
    String familyDuty;

    @ExcelProperty(value = "家庭本市置业次数" ,index = 21)
    String housePurchasing;

    @ExcelProperty(value = "家庭本市房产数量" ,index = 22)
    String houseProperty;

    @ExcelProperty(value = "现居住面积" ,index = 23)
    String houseLivingArea;

    @ExcelProperty(value = "现居住户型" ,index = 24)
    String houseType;

    @ExcelProperty(value = "目前家庭结构" ,index = 25)
    String familyStructure;

    @ExcelProperty(value = "意向等级" ,index = 26)
    String favorLevel;

    @ExcelProperty(value = "备 注" ,index = 27)
    String remark;
}
