package com.huiju.welcome.model;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaGoodsOrders implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "orders_id", type = IdType.AUTO)
    private Integer ordersId;

    private String ordersNo;

    private String orgId;

    private String caseId;

    private BigDecimal amount;

    private LocalDateTime createDate;

    private Integer status;

    private String userType;

    private Integer userId;

    private String userName;

    private Integer customerId;

    private String customerName;

    @TableField(exist = false)
    private String avatar;

    private Integer ordersNum;

    private String remark;

    private Integer recId;

    @TableField(exist = false)
    private List<TaGoodsOrdersDetail> detailList;


}
