package com.huiju.welcome.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaVisitorAppointment;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
public interface ITaVisitorAppointmentService extends IService<TaVisitorAppointment> {

    ResponseBean check(TaVisitorAppointment taVisitorAppointment);
    /**
     *访客预约信息
     * @param pg
     * @param platNumber
     * @return
     */
    ResponseBean visitorAppointmentList(IPage<TaVisitorAppointment> pg, String platNumber,String personName,String phone);

    List<TaVisitorAppointment> getAppointmentsBy(Map<String,Object> filters);

    List<TaVisitorAppointment> getAppointmentsByPlateNumber(String plateNumber);

    IPage<TaVisitorAppointment> getMyAppointmentList(int pageNum, int pageSize, Integer personId, String nameOrPhone, String identity);
	
	IPage<TaVisitorAppointment> getTodayAppointmentList(int pageNum, int pageSize);
	
	ResponseBean miniappVisitorAppointmentList(IPage<TaVisitorAppointment> pg, String platNumber, String personName, String phone);

    TaVisitorAppointment bindAppointmentsBy(Integer appointmentId, String platNumber);
}
